;;; init.el -*- lexical-binding: t; -*-
(require 'org)

(custom-set-variables '(org-directory "~/org/"))
(setq
   deft-directory org-directory
   org-download-image-dir (concat org-directory "resources")
   org-roam-directory org-directory)

(setq org-agenda-files (list
       (concat org-directory "work/todo.org")
       (concat org-directory "todo.org")
       )
  )
;(org-agenda-files (file-expand-wildcards (concat org-directory "*". )"~/ref/*.org")
;; Automatically Scan normal locations code for projectes.
;;  - `src`  is used on my linux machine
;;  - `Code` is used on my mac machine
;;  - `opt`  is used on my where I checkout, and compile, and complain about it
;;     not running right, but refuse to the the documentation.
(require 'seq)
(setq projectile-project-search-path
      (seq-filter 'file-directory-p '("~/src" "~/Code" "~/opt")))
;; Make sort reasonable.
(setq projectile-sort-order 'access-time)

;; recursive search for deft
(setq deft-recursive t)

; Enable word wrap
(add-hook 'org-mode-hook #'visual-line-mode)

;Custom bullets
(setq org-superstar-headline-bullets-list '("⁜" "☰" "☱" "☲" "☳" "☴" "☵" "☶" "☷"))

 ;; allow md export
(eval-after-load "org" '(require 'ox-md nil t))

;; org-journal-file-format
(customize-set-variable 'org-journal-date-format "%A, %d %B %Y")
